const nodemailer = require('nodemailer');

const sendMail = (from, to, subject, html, callback) => {
  const message = { from, to, subject, html };

  const options = {
    host: process.env.MAILER_HOST,
    port: process.env.MAILER_PORT,
    auth: {
      user: process.env.MAILER_USER,
      pass: process.env.MAILER_PASSWD
    }
  };

  const transport = nodemailer.createTransport(options);

  transport.sendMail(message, (err, info) => {
    if (err) {
      throw Error;
    } else {
      callback(info);
    }
  });
}

module.exports = { sendMail }