const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const ClientSchema = new Schema({
  user: {
    type: Schema.Types.ObjectId,
    ref: 'users'
  },
  name: {
    type: String,
  },
  surnames: {
    type: String,
  },
  commercialName: {
    type: String,
  },
  nif: {
    type: String,
    required: true
  },
  city: {
    type: String,
    required: true
  },
  postalcode: {
    type: String,
    required: true
  },
  address: {
    type: String,
    required: true
  },
  email: {
    type: String,
  },
  phone: {
    type: String,
  },
  account: {
    type: String,
  },
});

module.exports = Client = mongoose.model('clients', ClientSchema);
