const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const EmittedInvoiceSchema = new Schema({
  invoice: {
    type: Schema.Types.ObjectId,
    ref: 'invoices',
    required: true
  },
  date: {
    type: Date,
    default: Date.now
  },
  number: {
    type: String,
  },
  name: {
    type: String,
    required: true
  },
  ret: {
    type: Number,
    required: true
  },
  amount: {
    type: Number,
    required: true
  },
  vat: {
    type: Number,
    required: true
  },
  emittedDate: {
    type: Date,
    default: Date.now
  },
  user: {
    name: {
      type: String,
    },
    surnames: {
      type: String,
    },
    commercialName: {
      type: String,
    },
    email: {
      type: String,
      required: true
    },
    nif: {
      type: String,
      required: true
    },
    phone: {
      type: String,
      required: true
    },
    address: {
      type: String,
      required: true
    },
    postalcode: {
      type: String,
      required: true
    },
    city: {
      type: String,
      required: true
    },
    account: {
      type: String,
    },
    logo: {
      type: String,
    },
  },
  client: {
    name: {
      type: String,
    },
    surnames: {
      type: String,
    },
    commercialName: {
      type: String,
    },
    email: {
      type: String,
    },
    nif: {
      type: String,
      required: true
    },
    phone: {
      type: String,
    },
    address: {
      type: String,
      required: true
    },
    postalcode: {
      type: String,
      required: true
    },
    city: {
      type: String,
      required: true
    },
    account: {
      type: String,
    },
  },
});

module.exports = Invoice = mongoose.model('emittedinvoices', EmittedInvoiceSchema);
