const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const InvoiceSchema = new Schema({
  user: {
    type: Schema.Types.ObjectId,
    ref: 'users',
    required: true
  },
  client: {
    type: Schema.Types.ObjectId,
    ref: 'clients',
    required: true
  },
  date: {
    type: Date,
    default: Date.now
  },
  number: {
    type: String,
  },
  name: {
    type: String,
    required: true
  },
  ret: {
    type: Number,
    required: true
  },
  amount: {
    type: Number,
    required: true
  },
  vat: {
    type: Number,
    required: true
  },
  charged: {
    type: Boolean,
    default: false
  },
  taxes: {
    type: Boolean,
    default: false
  },
  emitted: {
    type: Boolean,
    default: false
  },
  cancelled: {
    type: Boolean,
    default: false
  }
});

module.exports = Invoice = mongoose.model('invoices', InvoiceSchema);
