const Validator = require('validator');
const isEmpty = require('./is-empty');

module.exports = function validateCityInput(data) {
  const errors = {};

  data.code = !isEmpty(data.code) ? data.code : '';
  data.name = !isEmpty(data.name) ? data.name : '';

  if (!Validator.isLength(data.code, { min: 5, max: 5 })) {
    errors.code = 'Postal code length must be 5 digits';
  }

  if (Validator.isEmpty(data.code)) {
    errors.code = 'Postal code field is required';
  }

  if (Validator.isEmpty(data.name)) {
    errors.name = 'Name field is required';
  }

  return {
    errors,
    isValid: isEmpty(errors)
  }
}