const Validator = require('validator');
const { INVALID_EMAIL, EMAIL_REQUIRED, PASSWORD_REQUIRED } = require('../constants/errors');
const { setError } = require('../lib/errors');
const isEmpty = require('./is-empty');

module.exports = function validateLoginInput(data) {
  const errors = [];

  data.email = !isEmpty(data.email) ? data.email : '';
  data.password = !isEmpty(data.password) ? data.password : '';

  if (!Validator.isEmail(data.email)) {
    errors.push(setError(INVALID_EMAIL));
  }

  if (Validator.isEmpty(data.email)) {
    errors.push(setError(EMAIL_REQUIRED));
  }

  if (Validator.isEmpty(data.password)) {
    errors.push(setError(PASSWORD_REQUIRED));
  }

  return {
    errors,
    isValid: isEmpty(errors)
  }
}